module.exports = {
  extends: ['eslint-config-ali/typescript/vue', 'prettier', 'prettier/@typescript-eslint', 'prettier/vue'],
  rules: {
    'object-shorthand': 'warn',
    '@typescript-eslint/dot-notation': 'warn',
    eqeqeq: 'error',
    // 警告为使用的变量,通过rest解构的除外
    '@typescript-eslint/no-unused-vars': [1, { ignoreRestSiblings: true }],
    // 因为需要通过console打印错误信息,所以将console规则取消
    'no-console': 0,
    '@typescript-eslint/member-ordering': [0, { default: ['signature', 'method', 'constructor', 'field'] }]
    // 'import/order': 'error',
    // 'import/no-relative-parent-imports': 'error'
  }
}
